Missing translations in 14.04

Bug #1421936 reported by Gunnar Hjalmarsson on 2015-02-14
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gui-ufw (Ubuntu)
Medium
Gunnar Hjalmarsson
Trusty
Medium
Brian Murray

Bug Description

trusty SRU request
==================

[Impact]

The translations in 14.04 are not in sync with the translations available in Launchpad. This is especially true when using gufw in Swedish, where the strings show up mostly untranslated.

[Test Case]

Install and start the proposed version in a Swedish environment and find that most strings are properly translated.

[Regression Potential]

Low. (Only the PO/MO file has been changed.)

costales (costales) wrote :

Hi Gunnar!
The translations are uploaded with each release :)
Then in 14.04 the Swedish were not complete at that time.
I'm afraid I can't tell you when I'll upload a release, because it's complicate to know it.
Best regards and I'm so sorry.

Gunnar Hjalmarsson (gunnarhj) wrote :

Hi costales!
It's ok in Vivid, but I wrote a patch for Trusty.

description: updated

hi. Gunnar! I can't do anything about. Only a vulnerability patch can enter
in an older release.
I'm so,sorry :$

On Saturday, February 14, 2015 2:29:42 PM CET, Gunnar Hjalmarsson wrote:
> Hi costales!
> It's ok in Vivid, but I wrote a patch for Trusty.
>

--
Sent using Dekko from my Ubuntu device

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2015-02-14 14:37, costales wrote:
> Only a vulnerability patch can enter in an older release.

That's not my understanding. Stable releases are updated with translations all the time. Since this MP ought to be considered "safe", it should fit into the applicable guidelines.

https://wiki.ubuntu.com/StableReleaseUpdates#When

Changed in gui-ufw (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Brian Murray (brian-murray)

Hello Gunnar, or anyone else affected,

Accepted gui-ufw into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gui-ufw/14.04.2-0ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gui-ufw (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Gunnar Hjalmarsson (gunnarhj) wrote :

I have successfully installed and run gufw 14.04.2-0ubuntu1.2 from trusty-proposed in a Swedish environment. Unlike before, most strings are now properly translated.

tags: added: verification-done
removed: verification-needed
Changed in gui-ufw (Ubuntu):
status: In Progress → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gui-ufw - 14.04.2-0ubuntu1.2

---------------
gui-ufw (14.04.2-0ubuntu1.2) trusty-proposed; urgency=low

  * debian/patches/lp1421936:
    - Update of the Swedish translations (LP: #1421936).
 -- Gunnar Hjalmarsson <email address hidden> Sat, 14 Feb 2015 13:58:00 +0100

Changed in gui-ufw (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gui-ufw has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers